Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.rico.engine.enums
Enum BlendSourceFactor

    java.lang.Object
      java.lang.Enum<BlendSourceFactor>
          de.rico.engine.enums.BlendSourceFactor

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BlendSourceFactor>

    public enum BlendSourceFactor

extends java.lang.Enum<BlendSourceFactor>

This enumeration provides the possible blend functions for the source factor of the OpenGL blending function

Author:
  Frank Bruns

Enum Constant Summary
`DEST_ALPHA`
`DEST_COLOR`
`ONE`
`ONE_MINUS_DEST_ALPHA`
`ONE_MINUS_DEST_COLOR`
`ONE_MINUS_SOURCE_ALPHA`
`SOURCE_ALPHA`
`SOURCE_ALPHA_SATURATE`
`ZERO`

Method Summary
`static BlendSourceFactor` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BlendSourceFactor[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ZERO

    public static final BlendSourceFactor ZERO

### ONE

    public static final BlendSourceFactor ONE

### DEST_COLOR

    public static final BlendSourceFactor DEST_COLOR

### ONE_MINUS_DEST_COLOR

    public static final BlendSourceFactor ONE_MINUS_DEST_COLOR

### SOURCE_ALPHA

    public static final BlendSourceFactor SOURCE_ALPHA

### ONE_MINUS_SOURCE_ALPHA

    public static final BlendSourceFactor ONE_MINUS_SOURCE_ALPHA

### DEST_ALPHA

    public static final BlendSourceFactor DEST_ALPHA

### ONE_MINUS_DEST_ALPHA

    public static final BlendSourceFactor ONE_MINUS_DEST_ALPHA

### SOURCE_ALPHA_SATURATE

    public static final BlendSourceFactor SOURCE_ALPHA_SATURATE

Method Detail

### values

    public static final BlendSourceFactor[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(BlendSourceFactor c : BlendSourceFactor.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static BlendSourceFactor valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD